## ros-foxy-popf 0.0.12

=== src/VALfiles/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4)

project(val)

set( CMAKE_MODULE_PATH    ${CMAKE_MODULE_PATH}
                          ${CMAKE_CURRENT_SOURCE_DIR}
                          ${CMAKE_CURRENT_SOURCE_DIR}/..
                          ${CMAKE_CURRENT_SOURCE_DIR}/../cmake/modules)

set(DOXYFILE_TARGET_SUFFIX val)
include(UseDoxygen OPTIONAL)

add_subdirectory(parsing)

include_directories(/usr/local/opt/flex/include ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${ParsePDDL_SOURCE_DIR})

set(libInst_SRCS
      SimpleEval.cpp
      FastEnvironment.cpp instantiation.cpp
      typecheck.cpp TypedAnalyser.cpp FuncAnalysis.cpp
      TIM.cpp TimSupport.cpp TypeStripWC.cpp
)

add_library(Inst STATIC ${libInst_SRCS})

set(validate_SRCS
     Action.cpp Proposition.cpp FuncExp.cpp typecheck.cpp main.cpp
     Validator.cpp RepairAdvice.cpp LaTeXSupport.cpp State.cpp Plan.cpp Ownership.cpp
     Environment.cpp Polynomial.cpp Utils.cpp
     TrajectoryConstraints.cpp RobustAnalyse.cpp random.cpp Events.cpp PrettyPrinter.cpp)

add_executable(validate ${validate_SRCS})

target_link_libraries(validate
        ParsePDDL
)

set(parser_SRCS
     parse.cpp
)

add_executable(parser ${parser_SRCS})

target_link_libraries(parser
        ParsePDDL
)

install(TARGETS validate parser
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

=== src/popf/CMakeLists.txt ===
PROJECT(popf)

set( CMAKE_MODULE_PATH    ${CMAKE_MODULE_PATH}
                          ${CMAKE_CURRENT_SOURCE_DIR}
                          ${CMAKE_CURRENT_SOURCE_DIR}/../cmake/modules)


find_package(Clp)
find_package(CoinUtils)
find_package(Cbc)
find_package(Cgl)
find_package(OSI)

set(CMAKE_CXX_FLAGS "-Wall ${CMAKE_CXX_FLAGS}")

if(STATIC_POPF)
set(CMAKE_CXX_LINK_FLAGS "-static ${CMAKE_CXX_LINK_FLAGS}")
endif(STATIC_POPF)

include_directories(/usr/local/opt/flex/include ${val_SOURCE_DIR} ${val_SOURCE_DIR}/parsing ${val_BINARY_DIR} ${COINUTILS_INCLUDES}/coin ${CGL_INCLUDES}/coin ${OSI_INCLUDES}/coin ${CLP_INCLUDES}/coin ${CBC_INCLUDES}/coin ${CPLEX_INCLUDES} ${CONCERT_INCLUDES})

set(popf_build_srcs
    totalordertransformer.cpp
    partialordertransformer.cpp
    FFSolver.cpp
    globals.cpp
    lpscheduler.cpp
    RPGBuilder.cpp
    RPGBuilderAnalysis.cpp
    RPGBuilderEvaluation.cpp
    RPGBuilderNumerics.cpp
    temporalanalysis.cpp
    minimalstate.cpp
    temporalconstraints.cpp
    numericanalysis.cpp
    solver.cpp)

add_library(popfCommon STATIC ${popf_build_srcs})
target_link_libraries(popfCommon ParsePDDL Inst)
    install(TARGETS popfCommon
      ARCHIVE DESTINATION lib
      LIBRARY DESTINATION lib
      RUNTIME DESTINATION bin
    )

#if((NOT DISABLE_CLP) AND CLP_INCLUDES)
if (CLP_INCLUDES AND CBC_INCLUDES)
    ADD_EXECUTABLE(popf popfMain.cpp solver-clp.cpp)
    
    target_link_libraries(popf
        popfCommon
        ${CBC_SOLVER_LIBRARY} ${CBC_LIBRARY} ${CGL_LIBRARIES} ${OSICLP_LIBRARIES} ${OSI_LIBRARIES} ${CLP_LIBRARIES}  ${COINUTILS_LIBRARIES}
    )
    install(TARGETS popf
      ARCHIVE DESTINATION lib
      LIBRARY DESTINATION lib
      RUNTIME DESTINATION bin
    )
                
#endif((NOT DISABLE_CLP) AND CLP_INCLUDES)
endif(CLP_INCLUDES AND CBC_INCLUDES)

if(CPLEX AND ILOCPLEX AND CONCERT AND CPLEX_INCLUDES AND CONCERT_INCLUDES)
    ADD_EXECUTABLE(popf-cplex popfMain.cpp solver-cpx.cpp)
    
    target_link_libraries(popf-cplex    
        popfCommon
        ${ILOCPLEX} ${CPLEX} ${CONCERT} pthread
    )
    install(TARGETS popf-cplex
      ARCHIVE DESTINATION lib
      LIBRARY DESTINATION lib
      RUNTIME DESTINATION bin
    )
    

endif(CPLEX AND ILOCPLEX AND CONCERT AND CPLEX_INCLUDES AND CONCERT_INCLUDES)

=== debian/changelog ===
ros-foxy-popf (0.0.12-1focal) focal; urgency=high

  * Foxy initial version
  * Fix conflicts in changelog
  * Functional version
  * 0.0.3
  * Updated changelog
  * Contributors: Francisco Martin Rico

 -- Francisco Martin <fmrico@gmail.com>  Fri, 17 Jul 2020 22:00:00 -0000

ros-foxy-popf (0.0.11-1focal) focal; urgency=high

  * Added dependencies to package.xml

 -- Francisco Martin <fmrico@gmail.com>  Thu, 19 Dec 2019 23:00:00 -0000

ros-foxy-popf (0.0.10-1focal) focal; urgency=high

  * Added dependencies to package.xml

 -- Francisco Martin <fmrico@gmail.com>  Thu, 19 Dec 2019 23:00:00 -0000

ros-foxy-popf (0.0.6-1focal) focal; urgency=high



 -- Francisco Martin <fmrico@gmail.com>  Thu, 19 Dec 2019 23:00:00 -0000

ros-foxy-popf (0.0.5-1focal) focal; urgency=high

  * Fixing package dependencies
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>

 -- Francisco Martin <fmrico@gmail.com>  Thu, 19 Dec 2019 23:00:00 -0000

ros-foxy-popf (0.0.3-1focal) focal; urgency=high

  * Fix packaging errors

 -- Francisco Martin <fmrico@gmail.com>  Thu, 19 Dec 2019 23:00:00 -0000

ros-foxy-popf (0.0.2-1focal) focal; urgency=high

  * Update to ROS2
  * Use as library

 -- Francisco Martin <fmrico@gmail.com>  Fri, 06 Dec 2019 23:00:00 -0000

ros-foxy-popf (0.0.1-1focal) focal; urgency=high

  * Update package.xml
  * tidy up
  * Merge branch 'master' of https://github.com/LCAS/popf
  * Initial commit
  * popf 1 included and made work
  * initial commit
  * Contributors: Marc Hanheide

 -- Francisco Martin <fmrico@gmail.com>  Mon, 25 Apr 2016 22:00:00 -0000

=== debian/control ===
Source: ros-foxy-popf
Section: misc
Priority: optional
Maintainer: Francisco Martin <fmrico@gmail.com>
Build-Depends: debhelper (>= 9.0.0), bison, coinor-libcbc-dev, coinor-libcgl-dev, coinor-libclp-dev, coinor-libcoinutils-dev, flex, ros-foxy-ament-cmake, ros-foxy-rclcpp, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-popf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bison, coinor-libcbc-dev, coinor-libcgl-dev, coinor-libclp-dev, coinor-libcoinutils-dev, flex, ros-foxy-rclcpp, ros-foxy-ros-workspace
Description: The POPF package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-popf//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
